Subject: Re: subdirectory-filter does not delete files before the directory came into existence?

From: Thomas Rast <[email-masked]>
Date: Wed, 15 Dec 2010 00:03:29 +0100

Jan Wielemaker wrote:
> I try to extract a directory.  The result is fine, but there is a lot
> of history in the result from *before* the directory was added to the
> project.  Why?  How can I get rid of this?
[...]
> Now use e.g. qgit to look at the history.  As from 03/07/2002, when
> the packages/odbc directory was created, all looks just fine.  Before
> though ...

That history is not connected to the filtered one.  git-filter-branch
alerts you to it with messages like

  WARNING: Ref 'refs/tags/V5.0.4' is unchanged
  WARNING: Ref 'refs/tags/V5.0.5' is unchanged
  WARNING: Ref 'refs/tags/V5.0.6' is unchanged
  WARNING: Ref 'refs/tags/V5.0.7' is unchanged

I haven't made up my mind if this is a bug report or a feature
request, but in any case you can delete all of them and the problem
goes away.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch